LogoopenSUSE Build Service > Projects
Sign Up | Log In

The highlighting-kate package for GHC

highlighting-kate is a syntax highlighting library with support for nearly one hundred languages. The syntax parsers are automatically generated from Kate syntax descriptions (http://kate-editor.org/), so any syntax supported by Kate can be added. An (optional) command-line program is provided, along with a utility for generating new parsers from Kate XML syntax descriptions.

Source Files (show merged sources derived from linked package)

Filename Size Changed Actions
highlighting-kate-0.6.4.tar.gz 892 KB about 1 year ago Download File
highlighting-kate.changes 10.5 KB 8 months ago Download File
highlighting-kate.spec 3.11 KB 7 months ago Download File

Comments for devel:languages:haskell (1)

Repo Checker repo-checker wrote about 1 month ago

The version of this package in openSUSE:Leap:15.0 has installation issues and may not be installable:

can't install ghc-highlighting-kate-devel-0.6.4-lp150.1.9.x86_64:
  package ghc-compiler-8.0.2-lp150.1.10.x86_64 requires gcc, but none of the providers can be installed
  package ghc-highlighting-kate-devel-0.6.4-lp150.1.9.x86_64 requires ghc-compiler = 8.0.2, but none of the providers can be installed
  package gcc-7-lp150.1.27.x86_64 requires gcc7, but none of the providers can be installed
  nothing provides libmpfr.so.4()(64bit) needed by gcc7-7.3.0+r257042-lp150.1.3.x86_64